## Apache Zeta Components Manual :: Docs For Class ezcWorkflowVisitorVisualizationOptions

### Workflow::ezcWorkflowVisitorVisualizationOptions

### Class ezcWorkflowVisitorVisualizationOptions

Options class for ezcWorkflowVisitorVisualization.

Source for this file: /Workflow/src/options/visitor_visualization.php

    ezcBaseOptions
       |
       --ezcWorkflowVisitorVisualizationOptions

Version: | //autogen//

### Properties

string | read/write | `$colorHighlighted` The color for highlighted nodes.
string | read/write | `$colorNormal` The normal color for nodes.
array | read/write | `$highlightedNodes` The array of nodes that are to be highlighted.
array | read/write | `$workflowVariables` The workflow variables that are to be displayed.

### Member Variables

protected array(string=>mixed) | `$properties = array( 'colorHighlighted' => '#cc0000', 'colorNormal' => '#2e3436', 'highlightedNodes' => array(),'workflowVariables'=>array(),)` Properties.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3